%global momorel 1
Name:           libnice
Version:        0.1.13
Release: %{momorel}m%{?dist}
Summary:        GLib ICE implementation

Group:          System Environment/Libraries
License:        LGPLv2 and MPLv1.1
URL:            http://nice.freedesktop.org/wiki/
Source0:        http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
NoSource:	0

BuildRequires:	glib2-devel
BuildRequires:  gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:  gstreamer1-devel >= 0.11.91
BuildRequires:	gstreamer1-plugins-base-devel >= 0.11.91
BuildRequires:	gupnp-igd-devel >= 0.1.2


%description
%{name} is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). ICE is useful for applications that want to
establish peer-to-peer UDP data streams. It automates the process of traversing
NATs and provides security against some attacks. Existing standards that use
ICE include the Session Initiation Protocol (SIP) and Jingle, XMPP extension
for audio/video calls.


%package        gstreamer
Summary:        GStreamer plugin for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    gstreamer
The %{name}-gstreamer package contains a gstreamer 0.10 plugin for %{name}.


%package        gstreamer1
Summary:        GStreamer plugin for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    gstreamer1
The %{name}-gstreamer1 package contains a gstreamer 1.0 plugin for %{name}.


%package        examples
Summary:        Simple %{name} usage examples
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    examples
The %{name}-examples package contains usage (simple, threaded and sdp) examples.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%check
#make check


%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc NEWS README COPYING COPYING.LGPL COPYING.MPL
%{_bindir}/stunbdc
%{_bindir}/stund
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Nice-0.1.typelib
%{_datadir}/gir-1.0/Nice-0.1.gir

%files gstreamer
%{_libdir}/gstreamer-0.10/libgstnice010.so


%files gstreamer1
%{_libdir}/gstreamer-1.0/libgstnice.so


%files examples
%{_bindir}/sdp-example
%{_bindir}/simple-example
%{_bindir}/threaded-example


%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/nice.pc
%{_datadir}/gtk-doc/html/libnice

%changelog
* Sun Aug 30 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.13-1m)
- update to 0.1.13

* Sat Oct 11 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.1.8-1m)
- update to 0.1.8

* Thu Jul 25 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.4-1m)
- update to 0.1.4

* Thu Feb 21 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.3-2m)
- rebuild with gstreamer1

* Fri Sep 28 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.3-1m)
- update to 0.1.3

* Sun Aug 26 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.2-1m)
- update to 0.1.2
- rebuild against gupnp-igd-0.2.0

* Fri Sep 16 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.1-1m)
- update to 0.1.1

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.1.0-2m)
- rebuild for new GCC 4.6

* Fri Feb 11 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.0-1m)
- update to 0.1.0

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.13-2m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.13-1m)
- update to 0.0.13

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-2m)
- full rebuild for mo7 release

* Fri May 21 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.12-1m)
- update to 0.0.12

* Sat Apr 24 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.11-1m)
- update to 0.0.11

* Sun Jan 31 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.10-1m)
- update to 0.0.10

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.9-3m)
- fix build with gtk-doc 1.13
-- add gtkdocize --copy; autoreconf -vfi

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.9-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.9-1m)
- update to 0.0.9

* Sun Apr 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.6-1m)
- update to 0.0.6

* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.4-1m)
- initial build
